Package skyview.survey

# Class HipsGenerator

java.lang.Object
skyview.survey.HipsGenerator

All Implemented Interfaces:
  `ImageGenerator`

public class HipsGenerator extends Object implements ImageGenerator
This class simply returns the directory in which a HiPS is stored.

## Constructor Summary

Constructors
Constructor
Description
`HipsGenerator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getImages(double ra, double dec, double size, ArrayList<String> spells)`
Get a HiPS request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HipsGenerator

public HipsGenerator()

## Method Details

### getImages

public void getImages(double ra, double dec, double size, ArrayList<String> spells)
Get a HiPS request. The information we need is the directory in which the data resides and the scale of the image.

Specified by:
  `getImages` in interface `ImageGenerator`